CREATE TABLE `cm_hehe_user`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(30) COMMENT '姓名',
  `mobile` VARCHAR(20) COMMENT '手机号',
  `userIdentity` CHAR(2) COMMENT '用户身份:1普通用户,2分销者',
  `nickName` VARCHAR(32) COMMENT '微信昵称',
  `openId` VARCHAR(32) COMMENT '微信openid',
  `addTime` DATETIME COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城用户表';

CREATE TABLE `cm_hehe_product`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `productId` INT COMMENT '对应采美商品id',
  `sort` INT COMMENT '排序值',
  `recommend` CHAR(2) COMMENT '是否为推荐商品(0 没推荐,1 推荐商品)',
  `validFlag` CHAR(2) COMMENT '上架状态:1上架,2下架',
  `price` DECIMAL(11,2) COMMENT '售价',
  `includedTax` CHAR(2) COMMENT '是否含税 0不含税，1含税',
  `invoiceType` CHAR(2) COMMENT '发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票',
  `clubTaxPoint` DECIMAL(11,2) COMMENT '机构税率 :增值税默认13%，普通票6%取值范围[0-100]',
  `shopTaxPoint` DECIMAL(11,2) COMMENT '供应商税率:增值专用发票默认13%，增值税普通发票6%取值范围[0-100]',
  `addTime` DATETIME COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城商品表';

CREATE TABLE `cm_hehe_image`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `topic` VARCHAR(50) COMMENT '主题',
  `image` TEXT COMMENT '图片',
  `sort` INT COMMENT '排序值',
  `status` CHAR(1) COMMENT '小程序状态:1启用,2停用',
  `addTime` DATETIME COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城轮播图表';
